Bug 137876 - [new port] benchmarks/nuttcp: TCP/UDP network testing tool
Summary: [new port] benchmarks/nuttcp: TCP/UDP network testing tool
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-17 16:50 UTC by Andy
Modified: 2009-09-03 20:16 UTC (History)
0 users

See Also:


Attachments
file.shar (4.15 KB, text/plain)
2009-08-17 16:50 UTC, Andy
no flags Details
nuttcp.txt (2.32 KB, text/plain; charset=US-ASCII)
2009-08-21 05:31 UTC, Andy
no flags Details
nuttcp.txt (2.32 KB, text/plain; charset=US-ASCII)
2009-09-03 07:09 UTC, Andy
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andy 2009-08-17 16:50:06 UTC
nuttcp is based on nttcp, which in turn was an enhancement by someone
at Silicon Graphics (SGI) on the original ttcp, which was written by
Mike Muuss at BRL sometime before December 1984, to compare the perfor-
mance of TCP stacks by U.C. Berkeley and BBN to help DARPA decide which
version to place in the first BSD Unix release. nuttcp has several
useful features beyond those of the basic ttcp/nttcp, such as a server
mode, rate limiting, multiple parallel streams, and timer based usage.
More recent changes include IPv6 support, IPv4 multicast, and the abil-
ity to set the maximum segment size or TOS/DSCP bits.
-- from man page

WWW: http://www.lcp.nrl.navy.mil/nuttcp/

Fix: http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/136829
I'll be maintain that port, if you don't mind.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-08-17 16:50:31 UTC
Class Changed
From-To: sw-bug->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2009-08-17 19:05:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2009-08-17 19:36:13 UTC
State Changed
From-To: open->feedback

please rework this port and use only one version, you can create a 
-devel port for the beta version.
Comment 4 dfilter service freebsd_committer 2009-09-03 20:03:31 UTC
miwi        2009-09-03 19:03:12 UTC

  FreeBSD ports repository

  Modified files:
    benchmarks           Makefile 
  Added files:
    benchmarks/nuttcp    Makefile distinfo pkg-descr pkg-plist 
  Log:
  nuttcp is a network performance measurement tool intended for use
  by network and system managers. Its most basic usage is to determine
  the raw TCP (or UDP) network layer throughput by transferring memory
  buffers from a source system across an interconnecting network to
  a destination system, either transferring data for a specified time
  interval, or alternatively transferring a specified number of bytes.
  
  nuttcp is based on nttcp, but have several useful  features such
  as a server mode, rate limiting, multiple parallel streams, and
  timer based usage.
  
  WWW: http://www.lcp.nrl.navy.mil/nuttcp/
  
  PR:             ports/137876
  Submitted by:   Andy Clark <andrewclarkii at gmail.com>
  
  Revision  Changes    Path
  1.67      +1 -0      ports/benchmarks/Makefile
  1.1       +67 -0     ports/benchmarks/nuttcp/Makefile (new)
  1.1       +6 -0      ports/benchmarks/nuttcp/distinfo (new)
  1.1       +12 -0     ports/benchmarks/nuttcp/pkg-descr (new)
  1.1       +11 -0     ports/benchmarks/nuttcp/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2009-09-03 20:16:15 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!